Subject: Re: bug#25251: Bug in GNU Parted - mistakes MBR for a FAT32 partition

From: Phil Susi <[email-masked]>
Date: Tue, 18 Apr 2017 11:27:09 -0400

On 12/22/2016 5:08 PM, Sebastian Audet wrote:
> I have a FAT32 partition on an MSDOS style disk (its actually an mSata
> drive connected through USB for ultimate installation in another hardware
> device that must read FAT32 - long story and tertiary to what I've found),
> and through much debugging of software, I believe I have found a rather bad
> bug in the Parted software.
> 
> Using the latest parted 3.2, when opening a device and creating a disk from
> said device, the msdos partition table detector will fail if the fat32
> partition detector fails to fail. I'm not sure why, but parted thinks my
> boot sector (my MBR, the first sector on the disk) looks like a fat32
> partition.

Can you hd ( hex dump ) the MBR so I can take a look at it?